---------------------------------------------------------------------------------------------------
-- |
-- Module      : Main
-- Description : Showcase
-- Copyright   : (c) Felix Springer, 2019
-- License     : BSD3
-- Maintainer  : felixspringer149@gmail.com
-- Stability   : experimental
-- Portability : POSIX
--
-- This main routine is a showcase of the Lie module.
--
---------------------------------------------------------------------------------------------------

module Main where

import Lie.Helpers
import Lie.Classification
import Lie.Dynkin
import Lie.LieAlgebra

import LieExample.SO3
import LieExample.SU3


import Data.Complex

-- Classification
simpleEx = (C 6)
semiSimpleEx = DirectSum [ simpleEx , A 2 , B 4 ]

main :: IO ()
main = do putStrLn "show SemiSimple:"
          putStrLn $ show semiSimpleEx
          putStrLn ""
          putStrLn "show Simple:"
          putStrLn $ show simpleEx
          --putStrLn "show Dynkin of example for Simple:"
          --putStrLn $ show $ toDynkin simpleEx
